Skip to main content
GET
/
v1
/
views
/
{view_id}
Get a view
curl --request GET \
  --url https://api.withsplendor.com/v1/views/{view_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-splendor-tenant-id: <x-splendor-tenant-id>'
{
  "created_at": "2026-01-15T09:30:00Z",
  "expires_at": "2026-01-15T09:30:00Z",
  "from_search_id": "srch_8f2c",
  "kind": "materialized",
  "name": "Timeout errors",
  "record_count": 1240,
  "total": {
    "relation": "eq",
    "value": 1240
  },
  "view_id": "view_01H8Z3"
}

Authorizations

Authorization
string
header
required

API token issued from the Splendor console.

Headers

x-splendor-tenant-id
string
required

Selects the tenant (workspace) the request acts within.

Path Parameters

view_id
string
required

Response

Successful Response

The response is of type object.